package org.jeecg.modules.ctop.job;

import cn.com.ctop.kuaishou.modules.report.service.IKuaishouReportDailyGroupService;
import org.jeecg.common.util.DateUtils;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;

public class KuaishouReportDailyGroupChannelCodeJob implements Job {
    @Autowired
    private IKuaishouReportDailyGroupService groupService;

    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        String date = DateUtils.formatDate(DateUtils.addDay(new Date(), -1));
        groupService.formatChannelCode(date);
    }
}
