package org.jeecg.modules.ctop.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ctop.entity.JhsBakendData;
import org.jeecg.modules.excelutil.entity.JhsBakendDataEntity;

import java.util.List;

/**
 * 聚划算后端数据
 * @author: jeecg-boot
 * @date:   2020-09-07
 * @cersion: V1.0
 */
public interface JhsBakendDataMapper extends BaseMapper<JhsBakendData> {

    void replaceData(@Param(value = "bakendData") JhsBakendData getData);

    void replaceBatch(@Param(value = "datas")List<JhsBakendDataEntity> datas);
}
