package org.jeecg.modules.ctop.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.ctop.entity.TransferAccount;

import java.util.List;
import java.util.Map;

/**
 * 转户记录表
 *
 * @author: jeecg-boot
 * @date: 2020-03-26
 * @cersion: V1.0
 */
public interface TransferAccountMapper extends BaseMapper<TransferAccount> {

    List<TransferAccount> getAccountQuarterDetail(@Param(value = "accountId") Long accountId, @Param(value = "startDate") String startDate, @Param(value = "endDate") String endDate);

    List<JSONObject> getListByMap(@Param("ids") Map<Long, Long> projectIdMap);
}
