package org.jeecg.modules.ctop.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class SalePerformanceVO {
    //用户名称
    private String userName;
    //媒体类型
    private String mediaType;
    //销售类型
    private String salseType;
    //项目名称
    private String projectName;
    //日期区间
    private String duringDate;
    //总消耗
    private BigDecimal totalCost;
    //季度任务
    private BigDecimal seasonTask;
    //季度任务完成情况
    private BigDecimal doSeasonTask;
    //是否自拓客户
    private Integer extensionSelf;
    //是否新客
    private Integer brandNew;
    //个人任务
    private BigDecimal personnalTask;
    //个人任务完成情况
    private BigDecimal doPersonalTask;
    //提成比例
    private BigDecimal percentagePercent;
    //逾期信息数据
    List<OverdueInfoVO> overdueInfoVOList;
    //提成金额
    private BigDecimal percentage;
}
