package org.jeecg.modules.orderplatform.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 下单平台关联视频
 */
@Data
@TableName("ctop_platform_video")
public class PlatformVideo {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Integer id;
	/**物料code*/
	private String materialCode;
	/**物料code*/
	private String name;
	/**视频md5*/
	private String md5;
	/**视频url*/
	private String url;
	/**封面url*/
	private String coverUrl;
	/**视频描述*/
	private String description;
	/**格式*/
	private String format;
	/**时长（秒）*/
	private Integer duration;
	/**大小（kb）*/
	private Integer size;
	/**高*/
	private Integer height;
	/**宽*/
	private Integer width;
	/**是否已删除*/
	private Integer isDelete;
	/**createTime*/
	private Date createTime;
}
