package org.jeecg.modules.orderplatform.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.orderplatform.entity.PlatformOperateRecord;
import org.jeecg.modules.orderplatform.mapper.PlatformOperateRecordMapper;
import org.jeecg.modules.orderplatform.service.IPlatformOperateRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 下单制操作记录
 */
@Service
public class PlatformOperateRecordServiceImpl extends ServiceImpl<PlatformOperateRecordMapper, PlatformOperateRecord> implements IPlatformOperateRecordService {

    @Autowired
    PlatformOperateRecordMapper platformOperateRecordMapper;

    @Override
    public List<JSONObject> PageByCreateDesc() {
        return platformOperateRecordMapper.PageByCreateDesc();
    }
}
