package org.jeecg.modules.performance.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 设计消耗详细
 */
@Data
@TableName("ctop_performance_design_detail")
public class DesignDetail {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 媒体类型 1：头条 2：快手
     */
    private Integer mediaType;
    /**
     * 素材md5
     */
    private String materialCode;
    /**
     * 素材消耗
     */
    private BigDecimal materialCost;

    /**
     * 个人消耗
     */
    private BigDecimal personCost;
    /**
     * 提成比例
     */
    private BigDecimal percent;
    /**
     * leaderId
     */
    private String leaderId;
    /**
     * createTime
     */
    private String startDate;
    /**
     * updateTime
     */
    private String endDate;
    /**
     * createTime
     */
    private Date createTime;
    /**
     * updateTime
     */
    private Date updateTime;

    /**
     * 预留字段
     */
    private BigDecimal cost1;
    private BigDecimal cost2;

}

