package org.jeecg.modules.performance.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 运营消耗详细
 */
@Data
@TableName("ctop_performance_operate_detail")
public class OperateDetail {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 媒体类型 1：头条 2：快手
     */
    private Integer mediaType;
    /**
     * 账户id
     */
    private Long accountId;
    /**
     * 统计开始时间
     */
    private String statDate;

    /**
     * 账户消耗
     */
    private BigDecimal cost;
    /**
     * leaderId
     */
    private String leaderId;
    /**
     * createTime
     */
    private Date createTime;
    /**
     * updateTime
     */
    private Date updateTime;

    /**
     * 是否节假日
     */
    private Date isHoliday;

    /**
     * 预留字段
     */
    private BigDecimal cost1;
    private BigDecimal cost2;
    private BigDecimal cost3;
    private BigDecimal cost4;

}
