package org.jeecg.modules.performance.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.lettuce.core.dynamic.annotation.Param;
import org.jeecg.modules.performance.entity.OperateDetail;

import java.util.List;

/**
 * 运营消耗详细
 *
 * @author: jeecg-boot
 * @date: 2020-04-23
 * @cersion: V1.0
 */
public interface OperateDetailMapper extends BaseMapper<OperateDetail> {

    List<OperateDetail> selectBytedanceByParams(@Param(value = "accountId") Long accountId, @Param(value = "startDate") String startDate, @Param(value = "endDate") String endDate, @Param(value = "userId") String userId, @Param(value = "orgCode") String orgCode);

    List<JSONObject> ByteDanceOperateDetailGroupAccountByDate(@Param(value = "startDate") String startDate, @Param(value = "endDate") String endDate, @Param(value = "userId") String userId);

    List<JSONObject> kuaiShouOperateDetailGroupAccountByDate(@Param(value = "startDate") String startDate, @Param(value = "endDate") String endDate, @Param(value = "userId") String userId);

}
