package org.jeecg.modules.performance.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.performance.entity.OperateDetail;
import org.jeecg.modules.performance.vo.TransferDetailVO;

import java.text.ParseException;
import java.util.List;

/**
 * 运营消耗详细
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-04-23
 */
public interface IOperateDetailService extends IService<OperateDetail> {

    void KsCostCalculateByAccount(String startDate, String endDate);

    void BtCostCalculateByAccount(String startDate, String endDate);

    List<TransferDetailVO> loadTransferDetail(Long accountId, String userId, String startDate, String endDate) throws ParseException;

    List<JSONObject> getOperateGroupAccountByUser(JSONObject requestBody);
}
