package org.jeecg.modules.performance.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import org.jeecg.modules.performance.entity.PerformanceQuarter;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface IPerformanceQuarterService extends IService<PerformanceQuarter> {

    Map<String, Set<String>> getYearQuarter();

    List<PerformanceQuarter> getPerformanceByConditions(JSONObject requestBody);

    PageInfo<PerformanceQuarter> getPerformanceByConditionsPage(int pageNo, int pageSize, String order,JSONObject requestBody);

}
