package org.jeecg.modules.performance.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import org.jeecg.modules.performance.entity.SalePerformanceDetail;

import java.util.List;

/**
 * 销售绩效详细信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-04-01
 */
public interface ISalePerformanceDetailService extends IService<SalePerformanceDetail> {

    void loadSalesPerformance(String startDate, String endDate);

    List<JSONObject> getSaleGroupAdByUser(JSONObject requestBody);

}
