package org.jeecg.modules.wps.dto;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class UserDTO {

    private String id;
    private String name;
    private String permission;
    private String avatar_url;

    public UserDTO(){super();}

    public UserDTO(String id, String name, String permission, String avatar_url) {
        this.id = id;
        this.name = name;
        this.permission = permission;
        this.avatar_url = avatar_url;
    }

    @Override
    public String toString() {
        return "UserDTO{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", permission='" + permission + '\'' +
                ", avatar_url='" + avatar_url + '\'' +
                '}';
    }
}
