package org.jeecg.modules.wps.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.wps.entity.WpsUser;

import java.util.List;
import java.util.Map;

/**
 * wps用户
 * @author jeecg-boot
 * @date   2020-06-01
 * @version V1.0
 */
public interface IWpsUserService extends IService<WpsUser> {

    Map<String, Object> userInfo(JSONObject reqObj);

    List<WpsUser> findByIdIn(List<String> userIdList);
}
