package cn.com.ctop.alarm.modules.mapper;

import cn.com.ctop.alarm.modules.entity.RuleIndicator;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 规则指标信息
 *
 * @author: jeecg-boot
 * @date: 2020-11-14
 * @cersion: V1.0
 */
public interface RuleIndicatorMapper extends BaseMapper<RuleIndicator> {

    String getRuleIndicatorNameByMediaTypeAndDimension(@Param("mediaType") Integer mediaType, @Param("dimension") String dimension);

    String getDataTypeByRuleDimensionAndIndicatorCode(@Param("ruleDimension") String ruleDimension,@Param("indicatorCode") String indicatorCode);
}
