package cn.com.ctop.alarm.modules.service;

import cn.com.ctop.alarm.modules.entity.RuleAccountThreshold;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 规则关联账户 阈值
 * @Author: jeecg-boot
 * @Date: 2020-11-15
 * @Version: V1.0
 */
public interface IRuleAccountThresholdService extends IService<RuleAccountThreshold> {

    /**
     * 阈值填充
     *
     * @param requestJson
     * @return
     */
    JSONObject fillThreshold(JSONObject requestJson) throws Exception;

    List<String> getBatchNo(Long accountId, Long groupId);
}
