package cn.com.ctop.alarm.modules.service;

import cn.com.ctop.alarm.modules.entity.RuleIndicator;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 规则指标信息
 * @Author: jeecg-boot
 * @Date: 2020-11-14
 * @Version: V1.0
 */
public interface IRuleIndicatorService extends IService<RuleIndicator> {

    String getRuleIndicatorNameByMediaTypeAndDimension(Integer mediaType, String dimension);

    /**
     * 根据数据维度和指标查询 数据类型
     *
     * @param ruleDimension
     * @param indicatorCode
     * @return
     */
    String getDataTypeByRuleDimensionAndIndicatorCode(String ruleDimension, String indicatorCode);
}
