package cn.com.ctop.check.entity;

import cn.com.ctop.common.module.annotation.Dict;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 数据检查任务执行日志
 */
@Data
@TableName("ctop_check_task_execute_log")
public class CtopCheckTaskExecuteLog {
    
	/**
	 * id
	 */
	@TableId(type = IdType.AUTO)
	private Long id;

	/**checkTaskId*/
	@Dict(dicCode = "id",dictTable="ctop_check_task_list",dicText="name")
	private Integer checkTaskId;

	/**startDate*/
	private Long startDate;

	/**endDate*/
	private Long endDate;

	//执行时间毫秒
	@TableField(exist=false)
	private Integer exeTime;

	/**执行结果*/
	private Boolean exeResult;

	/**通知状态*/
	private Boolean notifyState;

	/**createTime*/
	private Date createTime;
}
