package cn.com.ctop.check.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 检查数据任务列表
 */
@Data
@TableName("ctop_check_task_list")
public class CtopCheckTaskList {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 任务名称
     */
    private String name;

    /**
     * 描述
     */
    private String comment;

    /**
     * job 名称
     */
    private String jobName;

    /**
     * 包名
     */
    private String packageName;

    /**
     * 类名
     */
    private String apiName;

    /**
     * 脚本
     *
     */
    private String script;

    /**
     * mail
     */
    private String mail;

    /**
     * 执行状态
     */
    private Boolean exeState;

    /**
     * 媒体类型
     */
    private Integer mediaType;

    /**
     * createTime
     */
    private Date createTime;

    /**
     * updateTime
     */
    private Date updateTime;

    /**
     * 是否删除
     */
    private Boolean isDelete;
}
