package cn.com.ctop.check.service.impl;

import cn.com.ctop.check.entity.CtopCheckTaskList;
import cn.com.ctop.check.mapper.CtopCheckTaskListMapper;
import cn.com.ctop.check.service.ICtopCheckTaskListService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 检查数据任务列表
 */
@Service
public class CtopCheckTaskListServiceImpl extends ServiceImpl<CtopCheckTaskListMapper, CtopCheckTaskList> implements ICtopCheckTaskListService {

    @Autowired
    CtopCheckTaskListMapper ctopCheckTaskListMapper;

    @Override
    public CtopCheckTaskList queryByIdAndApiName(int id, String apiName) {
        return ctopCheckTaskListMapper.queryByIdAndApiName(id,apiName);
    }

    @Override
    public List<CtopCheckTaskList> queryExecuteList(String jobName) {
        return ctopCheckTaskListMapper.queryExecuteList(jobName);
    }
}
