package cn.com.ctop.common.module.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 视频封面关联表信息
 * @author jeecg-boot
 * @date   2020-12-17
 * @version V1.0
 */
@Data
@TableName("ctop_material_image_video_info")
public class MaterialImageVideoInfo {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private java.lang.Long id;
	/**视频md5码*/
	@Excel(name = "视频md5码", width = 15)
	private java.lang.String videoCode;
	/**封面md5码*/
	@Excel(name = "封面md5码", width = 15)
	private java.lang.String coverCode;
	/**createTime*/
	private java.util.Date createTime;
	/**updateTime*/
	private java.util.Date updateTime;
}
