package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@TableName("ctop_tag_category")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TagCategoryInfo {
    @TableId(type = IdType.AUTO)
    private Long id;
    private String name;
    private String code;
    private Integer status;
    private Date createTime;
    private Date updateTime;
}
