package cn.com.ctop.common.module.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 视频片段
 * @author jeecg-boot
 * @date   2019-12-16
 * @version V1.0
 */
@Data
@TableName("ctop_video_part")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_video_part对象", description="视频片段")
public class VideoPart {
    
	/**id*/
	@TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
	private String id;
	/**videoId*/
	@Excel(name = "jobId", width = 15)
    @ApiModelProperty(value = "jobId")
	private String jobId;
	/**partId*/
	@Excel(name = "partId", width = 15)
    @ApiModelProperty(value = "partId")
	private String partId;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
}
