package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.BindAccountLogin;
import cn.com.ctop.common.module.vo.PangolinAccountVO;
import cn.com.ctop.common.module.vo.PangolinProjectVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 账号绑定-登陆
 * @Author: jeecg-boot
 * @Date: 2019-07-31
 * @Version: V1.0
 */
public interface BindAccountLoginMapper extends BaseMapper<BindAccountLogin> {

    List<PangolinProjectVO> getProjectByParams(@Param(value = "userId") String userId,
                                               @Param(value = "loginType") String loginType,
                                               @Param(value = "projectId") Long projectId);
    List<PangolinAccountVO> getAccountByParams(@Param(value = "userId") String userId,
                                              @Param(value = "loginType") String loginType,
                                              @Param(value = "projectId") Long projectId);
}
