package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.MaterialImageInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 素材
 *
 * @author: jeecg-boot
 * @date: 2020-03-16
 * @cersion: V1.0
 */
public interface MaterialImageInfoMapper extends BaseMapper<MaterialImageInfo> {
    void insertSelective(MaterialImageInfo materialImageInfo);

    List<String> getCodeList();

    List<JSONObject> getUrlList(@Param("videoId") String videoId);
}
