package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.OauthConfig;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 授权配置信息
 *
 * @author: jeecg-boot
 * @date: 2021-01-26
 * @cersion: V1.0
 */
public interface OauthConfigMapper extends BaseMapper<OauthConfig> {

    Map<Long, String> getConfigMapByMediaId(@Param("mediaId") int mediaId);

    List<JSONObject> getListByMediaId(@Param("mediaId") int mediaId);
}
