package cn.com.ctop.common.module.material.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 视频素材作者信息
 */
@Data
@TableName("ctop_material_video_author")
public class MaterialVideoAuthor {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Integer id;
	/**视频md5*/
	private String videoMd5;
	/**运营id*/
	private String operatorId;
	/**运营姓名*/
	private String operatorName;
	/**剪辑id*/
	private String clipId;
	/**剪辑姓名*/
	private String clipName;
	/**拍摄id*/
	private String shotId;
	/**拍摄姓名*/
	private String shotName;
	/**编导id*/
	private String planId;
	/**编导姓名*/
	private String planName;
	/**平面id*/
	private String planeId;
	/**平面姓名*/
	private String planeName;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
}
