package cn.com.ctop.common.module.material.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 视频素材截帧信息
 */
@Data
@TableName("ctop_material_video_frame")
public class MaterialVideoFrame {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Integer id;
	/**视频md5*/
	private String videoMd5;
	/**图片唯一标识*/
	private String md5;
	/**图片url地址*/
	private String url;
	/**图片截帧顺序*/
	private Integer frameIndex;
	/**createTime*/
	private Date createTime;
}
