package cn.com.ctop.common.module.material.service.impl;

import cn.com.ctop.common.module.material.entity.MaterialVideoInfo;
import cn.com.ctop.common.module.material.mapper.MaterialVideoInfoMapper;
import cn.com.ctop.common.module.material.service.IMaterialVideoInfoService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 视频素材基础信息
 */
@Service
public class MaterialVideoInfoServiceImpl extends ServiceImpl<MaterialVideoInfoMapper, MaterialVideoInfo> implements IMaterialVideoInfoService {

    @Autowired
    MaterialVideoInfoMapper materialVideoInfoMapper;

    @Override
    public void deleteByMd5(String md5) {
        materialVideoInfoMapper.deleteByMd5(md5);
    }

}
