package cn.com.ctop.common.module.message.service.impl;

import org.jeecg.common.system.base.service.impl.JeecgServiceImpl;
import cn.com.ctop.common.module.message.entity.SysMessageTemplate;
import cn.com.ctop.common.module.message.mapper.SysMessageTemplateMapper;
import cn.com.ctop.common.module.message.service.ISysMessageTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * @Description: 消息模板
 * @Author: jeecg-boot
 * @Date:  2019-04-09
 * @Version: V1.0
 */
@Service
public class SysMessageTemplateServiceImpl extends JeecgServiceImpl<SysMessageTemplateMapper, SysMessageTemplate> implements ISysMessageTemplateService {

    @Autowired
    private SysMessageTemplateMapper sysMessageTemplateMapper;


    @Override
    public List<SysMessageTemplate> selectByCode(String code) {
        return sysMessageTemplateMapper.selectByCode(code);
    }
}
