package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.BindAccountAuth;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.io.UnsupportedEncodingException;

/**
 * @Description: 账号绑定-授权
 * @Author: jeecg-boot
 * @Date: 2019-07-31
 * @Version: V1.0
 */
public interface IBindAccountAuthService extends IService<BindAccountAuth> {

    /**
     * 获取快手url
     *
     * @param state
     * @return
     * @throws UnsupportedEncodingException
     */
    String getKuaishouCodeUrl(JSONObject state) throws UnsupportedEncodingException;

    /**
     * 获取头条url
     *
     * @param state
     * @return
     * @throws UnsupportedEncodingException
     */
    String getByteDanceCodeUrl(String state) throws UnsupportedEncodingException;

    /**
     * 绑定账号
     *
     * @param accountId
     * @param type
     * @param state
     */
    void addBindAccount(Long accountId, String type, String state);
}
