package cn.com.ctop.common.module.utils;

import java.math.BigDecimal;

/**
 * 广告相关常量数据
 */
public class CtopAdConstant {
    //头条
    public static final String PLATFORM_TYPE_BYTEDANCE = "1";
    public static final  int PLATFORM_TYPE_BYTEDANCE_INT = 1;
    //快手
    public static final String PLATFORM_TYPE_KUAISHOU = "2";
    public static final  int   PLATFORM_TYPE_KUAISHOU_INT = 2;
    //头条内广
    public static final String PLATFORM_TYPE_BYTEDANCE_INSIDE = "3";
    public static final  int PLATFORM_TYPE_BYTEDANCE_INSIDE_INT = 3;
    //头条内广
    public static final String PLATFORM_TYPE_KUAISHOU_INSIDE = "4";
    public static final  int PLATFORM_TYPE_KUAISHOU_INSIDE_INT = 4;

    public static final String PLATFORM_TYPE_PANGOLIN = "5";

    public static final String PLATFORM_TYPE_BYTEDANCE_PY = "bytedance";
    public static final String PLATFORM_TYPE_KUAISHOU_PY = "kuaishou";
    public static final String PLATFORM_TYPE_PANGOLIN_PY = "pangolin";

    public static final String BYTEDANCE_REPORT_TYPE_DAILY = "STAT_TIME_GRANULARITY_DAILY";
    public static final String BYTEDANCE_REPORT_TYPE_HOURLY = "STAT_TIME_GRANULARITY_HOURLY";

    public static final String UREPORT_PREVIEW_URL_PREFIX = "/jeecg-boot/ureport/designer?_u=mysql:";


    public static final String CTOP_ORGCODE_NORTH_CHINA_PREFIX = "A01";
    public static final String CTOP_ORGCODE_EAST_CHINA_PREFIX = "A02";

    public static final String KUAISHOU_LOAD_JOB_TYPE_HISTORY = "history";
    public static final String KUAISHOU_LOAD_JOB_TYPE_DAILY = "daily";

    public static final String BYTEDANCE_LOAD_JOB_TYPE_ASYNC = "async";
    public static final String BYTEDANCE_LOAD_JOB_TYPE_DAILY = "daily";

    /**
     * 销售角色Id
     */
    public static final String SYSTEM_SALE_CODE = "75ee837e6f3de29c0e3ed75d4629438e";

    /**
     * 销售AM角色Id
     */
    public static final String SYSTEM_SALE_AM_CODE = "f5a68aa2acf86e842100f0fa4b050d28";

    /**
     * 头条销售媒体季度任务
     */
    public static final BigDecimal BYTEDANCE_MEDIA_TASK_COST = new BigDecimal("150000000");
    /**
     * 快手销售媒体季度任务
     */
    public static final BigDecimal KUAISHOU_MEDIA_TASK_COST = new BigDecimal("147000000");
    /**
     * 头条销售季度个人任务
     */
    public static final BigDecimal BYTEDANCE_PERSONAL_TASK_COST = new BigDecimal("2400000");
    /**
     * 快手销售季度个人任务
     */
    public static final BigDecimal KUAISHOU_PERSONAL_TASK_COST = new BigDecimal("2400000");

    /**
     * 华北快手销售机构号
     */
    public static final String HB_KUAISHOU_SALE_ORG_CODE = "A01A11A01";
    /**
     * 华北头条销售机构号
     */
    public static final String HB_BYTEDANCE_SALE_ORG_CODE = "A01A11A02";

    public static final String BYTEDANCE_GENDER_TYPE_NONE = "NONE";
    public static final String BYTEDANCE_GENDER_TYPE_GENDER_MALE = "GENDER_MALE";
    public static final String BYTEDANCE_GENDER_TYPE_GENDER_FEMALE = "GENDER_FEMALE";


    public static final Integer COMMON_STATUS_ENABLED = 1;

    public static final Integer COMMON_STATUS_NOT_ENABLED = 0;

    public static final String COMMON_ORDER_TYPE_ASC = "asc";
    public static final String COMMON_ORDER_TYPE_DESC = "desc";
}
