package cn.com.ctop.common.module.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class DailyGroupReportVO implements Serializable {

    private Long accountId; // 账号
    private String statDate; // 日期
    private String authName; // 账号名称
    private String campaignName; // 计划名称
    private String unitName; // 广告组名称
    private BigDecimal cost; // 消耗
    private BigDecimal disCountCost; // 折后消耗
    private Long photoShow; // 展示数
    private Long photoClick; // 点击数
    private Long bclick; // 行为数
    private BigDecimal actionRatio; // 行为率
    private BigDecimal photoClickRatio; // 点击率
    private BigDecimal impression1kCost; // 平均千次展现花费
    private BigDecimal photoClickCost; // 平均点击花费
    private Long conversions; // 转化数
    private BigDecimal conversionPrice; // 转化单价
    private BigDecimal clickConversionRate; // 点击转化率
    private BigDecimal discountConversionPrice; // 折后转化成本

}
