package cn.com.ctop.crawler.modules.account.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.util.Date;

@Data
@TableName("ctop_kuaishou_advertiser_info")
public class KuaishouAdAccount {
    private Long kaid;
    @TableId(value = "ksid", type = IdType.INPUT)
    @JsonSerialize(using=ToStringSerializer.class)
    private Long ksid;
    private String name;
    private String industryCategory;
    private String firstIndustry;
    private String secondIndustry;
    @TableField(exist = false)
    private String industry;
    @TableField(exist = false)
    private String dataProcess;
    private String company;
    private String product;
    @TableField(exist = false)
    private String url;
    private Date createTime;
}
