package cn.com.ctop.crawler.modules.kuaishoucce.service.impl;

import cn.com.ctop.crawler.modules.kuaishoucce.entity.KuaishouEffectAdInfo;
import cn.com.ctop.crawler.modules.kuaishoucce.mapper.KuaishouEffectAdInfoMapper;
import cn.com.ctop.crawler.modules.kuaishoucce.service.IKuaishouEffectAdInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 快手效果广告信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-02
 */
@Service
@Primary

public class KuaishouEffectAdInfoServiceImpl extends ServiceImpl<KuaishouEffectAdInfoMapper, KuaishouEffectAdInfo> implements IKuaishouEffectAdInfoService {
    @Autowired
    private KuaishouEffectAdInfoMapper adInfoMapper;

    @Override
    public void replaceBatch(List<KuaishouEffectAdInfo> adInfos) {
        adInfoMapper.replaceBatch(adInfos);
    }
}
