package cn.com.ctop.crawler.modules.music.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 音乐信息
 * @author jeecg-boot
 * @date   2020-10-28
 * @version V1.0
 */
@Data
@TableName("ctop_music_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_music_info对象", description="音乐信息")
public class BytedanceMusicInfo {

	@TableId(type = IdType.AUTO)
	private Long id;
	private String name;
	private String author;
	private Long usedCount;
	private String musicUrl;
	private String coverUrl;
	private Integer duration;
	private String source;
	private String extId;
	private Object extInfo;
	private Date createTime;
	private Date updateTime;
	private Long downloadNum;
}
