package cn.com.ctop.crawler.modules.music.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * 抖音音乐类型
 * @author jeecg-boot
 * @date   2020-10-28
 * @version V1.0
 */
@Data
@TableName("ctop_dict_music_type_zh")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_dict_music_type_zh对象", description="抖音音乐类型")
public class DictMusicType {

	/**id*/
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
	private Long id;
	private String extType;
	private String extTypeValue;
	private String extTypeZh;
	private String extTypeValueZh;
	private Date createTime;
	private Date updateTime;
	@TableField(exist = false)
	private List<DictMusicType> detail;
}
