package cn.com.ctop.crawler.modules.oceanengine.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import java.util.Date;

/**
 * 广告雷达
 */
@Data
@TableName("ctop_oceanengine_hot_material")
public class HotMaterial {
    @TableId(value = "id",type = IdType.INPUT)
    @JsonProperty("material_id")
    private String id;
    private String vid;
    private String videoUrl;
    private String title;
    private Integer appCode;
    private String coverUrl;
    private String appName;
    private Date createTime;
    private Date updateTime;
}
