package cn.com.ctop.crawler.modules.pangolin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 穿山甲激活统计信息
 */
@Data
@TableName("ctop_pangolin_report_channel_daily")
public class PangolinReportChannelDaily {
    /**
     * 日期
     */
    private Date date;
    /**
     * 渠道信息
     */
    private String channelName;
    /**
     * 应用名称
     */
    private String appName;
    private String accountName;
    /**
     * 操作系统
     */
    private String oprateSystem;
    /**
     * 激活数
     */
    private Integer externalActivation;
    /**
     * 留存率
     */
    private BigDecimal retentionRatio;
    /**
     * 预估结算金额
     */
    private BigDecimal totalPrice;
}
