package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.common.module.service.IRefreshTokenService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ByteDanceRefreshTokenJob {

    @Autowired
    private IRefreshTokenService refreshTokenService;

    /**
     * 刷新token
     * @throws Exception
     */
    @XxlJob("byteDanceRefreshTokenJob")
    public void execute() throws Exception {
        refreshTokenService.byteDanceRefresh(null);
    }
}
