package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.toutiao.modules.material.service.IBytedanceBidWarningService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class BytedanceAccountBidJob {
    @Autowired
    private IBytedanceBidWarningService bidWarningService;

    /**
     * 出价预警
     */
    @XxlJob("bytedanceAccountBidJob")
    public void execute() throws Exception {
        bidWarningService.bidWarning();
    }
}
