package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.report.service.IKuaishouCostGroupService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class KuaiShouCostGroupJob {
    @Autowired
    private IKuaishouCostGroupService kuaishouCostGroupService;

    /**
     * 定时获取成本数据
     *
     * @throws JobExecutionException
     */
    @XxlJob("kuaiShouCostGroupJob")
    public void execute() throws Exception {
        kuaishouCostGroupService.saveInfo();
    }
}

