package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.material.service.IKuaishouBidWarningService;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class KuaishouAccountBidJob {
    @Autowired
    private IKuaishouBidWarningService bidWarningService;

    /**
     * 出价预警
     **/
    @XxlJob("kuaishouAccountBidJob")
    public void execute() {
        bidWarningService.bidWarning();
    }
}
