package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 策略创意表
 */
@Data
@TableName("ctop_ai_kuaishou_strategy_map_creative")
public class AiKuaishouStrategyMapCreative {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**账户id*/
	private Long accountId;
	/**计划id*/
	private Long campaignId;
	/**组id*/
	private Long unitId;
	/**创意id*/
	private Long creativeId;
	/**策略_定向关联id*/
	private Long strategyTargetUnionId;
	/**素材签名*/
	private String videoSignature;
	/**策略id*/
	private Long strategyId;
	/**是否创建成功*/
	private Integer createSuccess;
	/**失败原因*/
	private String detail;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
}
