package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 策略_定向中间表
 */
@Data
@TableName("ctop_ai_kuaishou_strategy_target_union")
public class AiKuaishouStrategyTargetUnion {
	@TableId(type = IdType.AUTO)
	private Long id;
	/**middle_id*/
	private Long strategyMiddleId;
	/**定向id*/
	private Long strategyTargetId;
	/**实际使用定向内用*/
	private String actualTargetContent;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;

	public AiKuaishouStrategyTargetUnion() {
	}

	public AiKuaishouStrategyTargetUnion(Long strategyMiddleId, Long strategyTargetId, String targetContent) {
		this.strategyMiddleId = strategyMiddleId;
		this.strategyTargetId = strategyTargetId;
		this.actualTargetContent = targetContent;
	}
}
