package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaiShouVideoLastTime;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * ai获取素材上次截止日期
 *
 * @author: jeecg-boot
 * @date: 2021-01-11
 * @cersion: V1.0
 */
public interface KuaiShouVideoLastTimeMapper extends BaseMapper<KuaiShouVideoLastTime> {

    List<String> getImageListByMd5(String signature);

    List<JSONObject> getImageListByMd5List(@Param("codeList") List<String> videoCodeList);
}
