package cn.com.ctop.kuaishou.modules.app.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class AppFeeds {
    private Integer following;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date time;
    private Long timestamp;
    private Integer type;
    private Integer hated;
    @JsonProperty("exp_tag")
    private String expTag;
    @JsonProperty("photo_id")
    private Long photoId;
    @JsonProperty("user_id")
    private Long userId;
    @JsonProperty("server_exp_tag")
    private String serverExpTag;
    @JsonProperty("photo_status")
    private Integer photoStatus;
    private Integer liked;
    @JsonProperty("user_sex")
    private String userSex;
    @JsonProperty("main_mv_urls")
    private List<AppMv> mainMvUrls;
    @JsonProperty("reco_reason")
    private String recoReason;
    @JsonProperty("like_count")
    private Integer likeCount;
    @JsonProperty("unlike_count")
    private Integer unlikeCount;
    @JsonProperty("view_count")
    private Integer viewCount;
    @JsonProperty("comment_count")
    private Integer commentCount;
    private String caption;
    @JsonProperty("forward_count")
    private Integer forwardCount;
    @JsonProperty("tag_hash_tape")
    private Integer tagHashTape;
    @JsonProperty("share_info")
    private String shareInfo;
    private List<AppHeader> headurls;
    @JsonProperty("user_name")
    private String userName;
    private AppAd ad;
}
