package cn.com.ctop.kuaishou.modules.app.mapper;

import cn.com.ctop.kuaishou.modules.app.entity.AppAd;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yumeng
 * 2019年11月12日10:04:00
 */
public interface AppAdMapper extends BaseMapper<AppAd> {
    /**
     * 查询信息
     *
     * @param userName
     * @param industry
     * @param company
     * @param product
     * @param start
     * @param end
     * @param orderByColumn
     * @param orderByType
     * @param pageStart
     * @param pageSize
     * @return
     */
    public List<AppAd> queryAdFeeds(@Param("userName") String userName, @Param("industry") String industry, @Param("company") String company, @Param("product") String product, @Param("start") String start, @Param("end") String end, @Param("orderByColumn") String orderByColumn, @Param("orderByType") String orderByType, @Param("pageStart") Integer pageStart, @Param("pageSize") Integer pageSize);

}
