package cn.com.ctop.kuaishou.modules.app.service;

import cn.com.ctop.kuaishou.modules.app.entity.AppAd;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface IAppAdService extends IService<AppAd> {
    /**
     * 条件查询
     *
     * @param userName
     * @param industry
     * @param company
     * @param product
     * @param start
     * @param end
     * @param orderByColumn
     * @param orderByType
     * @param pageStart
     * @param pageSize
     * @return
     */
    public List<AppAd> queryAdFeeds(String userName, String industry, String company, String product, String start, String end, String orderByColumn, String orderByType, Integer pageStart, Integer pageSize);
}
