package cn.com.ctop.kuaishou.modules.batch.entity.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * @Description: 快手-视频上传
 * @Author: jeecg-boot
 * @Date: 2019-07-26
 * @Version: V1.0
 */
@Data

@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SpendVo {

    /**
     * 总花费
     */
    private BigDecimal cost;
    /**
     * 预算
     */
    private BigDecimal budget;
    /**
     * 余额
     */
    private BigDecimal balance;
}
