package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouStrategy;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * kuaishou.modules.batch-优化评估策略表
 *
 * @author: jeecg-boot
 * @date: 2020-12-10
 * @cersion: V1.0
 */
public interface KuaishouStrategyMapper extends BaseMapper<KuaishouStrategy> {

    List<JSONObject> queryPlanIdsByStrategyId(Long id);

    List<Long> queryActiveAccount();

    List<Long> queryShouTaoAccounts();
}
