package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouBatchCampaignPreview;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 快手-广告计划预览信息
 * @Author: jeecg-boot
 * @Date: 2021-01-26
 * @Version: V1.0
 */
public interface IKuaishouBatchCampaignPreviewService extends IService<KuaishouBatchCampaignPreview> {

    void addPreviewData(JSONObject data) throws Exception;

    JSONObject queryByBatchId(String batchId, String accountId);

    /**
     * 查询定时启动的计划集
     *
     * @param
     * @return java.util.List<cn.com.ctop.kuaishou.modules.batch.entity.KuaishouBatchCampaignPreview>
     * @throws
     * @author ZHAOXA
     */
    List<KuaishouBatchCampaignPreview> queryListByTime();
}
