package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouProgramCreative;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 快手-程序化创意
 * @Author: jeecg-boot
 * @Date: 2020-09-22
 * @Version: V1.0
 */
public interface IKuaishouProgramCreativeService extends IService<KuaishouProgramCreative> {
    void getProgramCreative(Long accountId, Long unitId, String accessToken, String startDate, String endDate, Integer page);

    JSONObject createProgramCreative(CtopOauthToken oauthToken, JSONObject requestJson);

    JSONArray getProgramCreativeCover(JSONArray md5Arr);
}
