package cn.com.ctop.kuaishou.modules.batch.service;

import com.alibaba.fastjson.JSONObject;

public interface IWarningOperationService {
    JSONObject getBidTypeAndMaxBid(Long accountId);

    /**
     * 快手 出价方式 预警 && 操作
     *
     * @param projectId
     * @param projectName
     * @param advertiserId
     * @param unitId
     * @param unit_name
     */
    void kuaiShouWarningOperation(Long projectId, String projectName, Long advertiserId, Long unitId, String unit_name);


    /**
     * 出价 过高预警 && 操作
     *
     * @param projectId
     * @param projectName
     * @param advertiserId
     * @param unitId
     * @param unit_name
     */

    void kuaiShouBidWarningOperation(Long projectId, String projectName, Long advertiserId, Long unitId, String unit_name);
}
