package cn.com.ctop.kuaishou.modules.batch.service.impl;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouGroupTarget;
import cn.com.ctop.kuaishou.modules.batch.mapper.KuaiShouGroupTargetMapper;
import cn.com.ctop.kuaishou.modules.batch.service.IKuaiShouGroupTargetService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 快手-定向信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-17
 */
@Service
public class KuaiShouGroupTargetServiceImpl extends ServiceImpl<KuaiShouGroupTargetMapper, KuaiShouGroupTarget> implements IKuaiShouGroupTargetService {

    @Autowired
    private KuaiShouGroupTargetMapper kuaiShouGroupTargetMapper;

    @Override
    public void deleteByUnitIds(List<Long> unitIds) {
        kuaiShouGroupTargetMapper.deleteByUnitIds(unitIds);
    }

    @Override
    public KuaiShouGroupTarget queryTargetInfoByunitId(Long accountId, Long unitId) {
        return kuaiShouGroupTargetMapper.queryTargetInfoByunitId(accountId, unitId);
    }
}
