package cn.com.ctop.kuaishou.modules.graphql.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("ctop_kuaishou_graphql_video")
public class KuaishouVideo {
    private String userId;
    private Long num;
    @TableId
    private String photoId;
    private String caption;
    private String thumbnailUrl;
    private String poster;
    private String viewCount;
    private String likeCount;
    private String commentCount;
    @TableField(exist = false)
    private Long timestamp;
    @TableField("times_tamp")
    @JsonFormat(timezone = "GMT+8",pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date times;
    private String workType;
    private String ttfName;
    private String type;
    private Boolean userVideoPlayer;
    private String magicFace;
    private String musicName;
    private String location;
    private String liked;
    private String onlyFollowerCanComment;
    private String relativeHeight;
    private String width;
    private String height;
    @TableField(exist = false)
    private KuaishouUser user;
    private String expTag;
}
