package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * 人群分析报表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-12-03
 */
@Data
@TableName("ctop_kuaishou_audience_report_daily_account")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_audience_report_daily_account对象", description = "年龄人群分析报表")
public class KuaishouAudienceReportDailyAccount extends KuaishouAudienceReportDaily {
    /**
     * province: 省级地域分布,city: 地级地域分布,gender: 性别分布,ageSegment: 年龄分布,clientId: 系统分布,businessInterestTags: 商业兴趣分布
     */
    private java.lang.String audienceType;

    @TableField(exist = false)
    private List<String> busTypes;

    @TableField(exist = false)
    private List<Long> accountIds;


}
