package cn.com.ctop.kuaishou.modules.report.mapper;


import java.util.List;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouAppList;
import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouReportAccountHourly;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 账户维度-每小时盯盘数据
 *
 * @author: jeecg-boot
 * @date: 2021-03-04
 * @cersion: V1.0
 */
public interface EtlKuaishouReportAccountHourlyMapper extends BaseMapper<EtlKuaishouReportAccountHourly> {

    void replaceBatch(@Param("list") List<EtlKuaishouReportAccountHourly> list);

    EtlKuaishouReportAccountHourly getOnedayAggregateByHour(@Param("startTime") String startTime, @Param("accountId") Long accountId, @Param("hour") Integer hour);

    List<JSONObject> getOnedayEtlReportList(@Param("startTime") String startTime, @Param("accountId") Long accountId,@Param("value") String value,@Param("type") String type);

}
