package cn.com.ctop.kuaishou.modules.report.mapper;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface KsVideoReportMapper {

    List<JSONObject> queryVideoReportBy(@Param("accountIds") JSONArray accountIds, @Param("startDate") String startDate, @Param("endDate") String endDate, @Param("filed") String filed, @Param("target") String target, @Param("order") String order, @Param("clip") String clip, @Param("shot") String shot, @Param("plan") String plan);

    List<JSONObject> queryVideoDetailBy(@Param("accountIds") JSONArray accountIds, @Param("startDate") String startDate, @Param("endDate") String endDate, @Param("filed") String filed, @Param("signature") String signature);

    List<JSONObject> getKuaiShouVideoReportByMap(Map<String, Object> requestMap);

    List<JSONObject> getDesignList();

    Long getTotalByMap(Map<String, Object> requestMap);
}
