package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouVideoEtlInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手视频信息清洗表(有效，爆款)
 *
 * @author: jeecg-boot
 * @date: 2020-12-17
 * @cersion: V1.0
 */
public interface KuaishouVideoEtlInfoMapper extends BaseMapper<KuaishouVideoEtlInfo> {

    String getCompanyNameByUserId(String planId);

    Long getTotal(@Param("accountId") Long accountId, @Param("startTime") String startTime, @Param("endTime") String endTime);

    List<JSONObject> queryPageList(@Param("accountId") Long accountId, @Param("sortCode") String sortCode, @Param("sortType") String sortType, @Param("startTime") String startTime, @Param("endTime") String endTime);
}
