package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouAudienceReportDaily;
import cn.com.ctop.kuaishou.modules.report.entity.KuaishouAudienceReportDailyAccount;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import org.jeecg.common.api.vo.Result;

/**
 * @Description: 人群分析报表
 * @Author: jeecg-boot
 * @Date: 2020-12-03
 * @Version: V1.0
 */
public interface IKuaishouAudienceReportDailyAccountService extends IService<KuaishouAudienceReportDailyAccount> {


    /**
     * 人群报表接口：
     *
     * @param
     * @return org.jeecg.common.api.vo.Result<java.lang.Object>
     * @throws
     * @author ZHAOXA
     */
    PageInfo<JSONObject> queryPageLists(KuaishouAudienceReportDailyAccount audienceReport, Integer pageNo, Integer pageSize);

    /**
     * 首页报表数据
     *
     * @param
     * @return org.jeecg.common.api.vo.Result<java.lang.Object>
     * @throws
     * @author ZHAOXA
     */
    Result<Object> queryAllReportForm(KuaishouAudienceReportDailyAccount audienceReport);
}
