package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.common.module.entity.RuleDatePlanKuaishou;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 *  快手规则引擎数据清洗；计划、组、定向
 */
public interface IRuleKuaiShouPlanService extends IService<RuleDatePlanKuaishou> {

    /**
     *  计划
     */
    void cleanRuleDataPlan(Long accountId,int page);

    /**
     *  组
     */
    void cleanRuleDataUnit(Long accountId,String startDate, String endDate,int page);

    /**
     *  定向
     */
    void cleanRuleDataTarget(Long accountId,int page);

}
