package cn.com.ctop.kuaishou.modules.report.service.impl;

import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouReportVideoDaily;
import cn.com.ctop.kuaishou.modules.report.mapper.EtlKuaishouReportVideoDailyMapper;
import cn.com.ctop.kuaishou.modules.report.service.IEtlKuaishouReportVideoDailyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 快手视频分日报表信息
 * @author jeecg-boot
 * @date   2021-02-20
 * @version V1.0
 */
@Service
public class EtlKuaishouReportVideoDailyServiceImpl extends ServiceImpl<EtlKuaishouReportVideoDailyMapper, EtlKuaishouReportVideoDaily> implements IEtlKuaishouReportVideoDailyService {
    @Resource
    private EtlKuaishouReportVideoDailyMapper etlKuaishouReportVideoDailyMapper;
    @Override
    public void etlKuaishouVideoReportDaily(String date){
        //1:根据日期查询当前素材消耗数据
        etlKuaishouReportVideoDailyMapper.etlKuaishouVideoReportDailyByDate(date);
    }
}
