package cn.com.ctop.toutiao.modules.adlab.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 投放管家项目列表
 */
@Data
@TableName("ctop_adlab_project")
public class CtopAdlabProject {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**项目名称*/
	private String name;
	/**项目操作状态*/
	private String optStatus;
	/**创建该项目时使用的App ID*/
	private String appId;
	/**出价*/
	private java.math.BigDecimal bid;
	/**预算*/
	private java.math.BigDecimal budget;
	/**预算模式*/
	private String budgetMode;
	/**广告组ID*/
	private Integer campaignId;
	/**项目组合状态*/
	private String comboStatus;
	/**赔付状态*/
	private String compensation;
	/**开始时间*/
	private String startTime;
	/**结束时间*/
	private String endTime;
	/**异常列表*/
	private Object errorReason;
	/**投放管家项目场景*/
	private String scenario;
	/**项目自动暂停规则的执行状态*/
	private String stopStage;
	/**项目当前是否支持复制*/
	private Integer supportCopy;
	/**项目系统状态*/
	private String systemStatus;
}
