package cn.com.ctop.toutiao.modules.adlab.entity;

import cn.com.ctop.common.module.annotation.Dict;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 投放管家项目详情
 */
@Data
@TableName("ctop_adlab_project_detail")
public class CtopAdlabProjectDetail {
    
	/**id*/
	@TableId
	private Long id;
	/**name*/
	private String name;
	/**userId*/
	private String userId;
	/**accountId*/
	@Dict(dicCode = "account_id",dictTable="ctop_user_allocation",dicText="auth_name")
	private Long accountId;
	/**campaignId*/
	private Long campaignId;
	/**scenario*/
	private String scenario;
	/**deliveryRange*/
	private String deliveryRange;
	/**status*/
	private String status;
	/**optStatus*/
	private String optStatus;
	/**statusName*/
	private String statusName;
	/**step*/
	private Integer step;
	/**platform*/
	private String platform;
	/**downloadType*/
	private String downloadType;
	/**appType*/
	private String appType;
	/**url*/
	private String url;
	/**webUrl*/
	private String webUrl;
	/**package*/
	private String adlabPackage;
	/**convertName*/
	private String convertName;
	/**convertId*/
	private Integer convertId;
	/**convertMode*/
	private String convertMode;
	/**inventoryType*/
	private Object inventoryType;
	/**unionVideoType*/
	private String unionVideoType;
	/**audience*/
	private Object audience;
	/**audiencePackageId*/
	private Integer audiencePackageId;
	/**adCreative*/
	private Object adCreative;
	/**startTime*/
	private String startTime;
	/**endTime*/
	private String endTime;
	/**weekTime*/
	private Object weekTime;
	/**bid*/
	private java.math.BigDecimal bid;
	/**budget*/
	private java.math.BigDecimal budget;
	/**budgetMode*/
	private String budgetMode;
	/**compensation*/
	private String compensation;
	/**deepBid*/
	private java.math.BigDecimal deepBid;
	/**deepBidType*/
	private String deepBidType;
	/**deepExternalAction*/
	private String deepExternalAction;
	/**stopStage*/
	private String stopStage;
	/**targetMode*/
	private String targetMode;
	/**downloadMode*/
	private String downloadMode;
	/**openUrl*/
	private String openUrl;
	/**inventoryTypes*/
	private Object inventoryTypes;
	/**adTarget*/
	private String adTarget;
	/**landingType*/
	private String landingType;
}
