package cn.com.ctop.toutiao.modules.batch.mapper;

import cn.com.ctop.toutiao.modules.batch.entity.BytedanceAreaInfo;
import cn.com.ctop.toutiao.modules.batch.vo.BytedanceAreaInfoVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 省市县信息
 *
 * @author: jeecg-boot
 * @date: 2019-09-17
 * @cersion: V1.0
 */
public interface BytedanceAreaInfoMapper extends BaseMapper<BytedanceAreaInfo> {

    List<BytedanceAreaInfoVO> getListByParams(@Param(value = "parentCode") String parentCode, @Param(value = "level") Integer level);
}
