package cn.com.ctop.toutiao.modules.link.entity;

import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 头条视频报表源数据
 */
@Data
@TableName("base_report_bytedance_video_daily")
public class BaseReportBytedanceVideoDaily {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**账户id*/
	private Long accountId;
	/**md5*/
	private Long materialId;
	/**数据起始时间*/
	private String statDatetime;
	/**总花费*/
	private BigDecimal cost;
	/**点击量*/
	private Long click;
	/**应用下载-激活*/
	private Long active;
	/**应用下载-安卓下载完成*/
	private Long downloadFinish;
	/**应用下载-安卓下载开始*/
	private Long downloadStart;
	/**应用下载-安卓安装完成*/
	private Long installFinish;
	/**应用下载-注册*/
	private Long register;
	/**应用下载-付费数*/
	private Long payCount;
	/**应用下载-到达uv*/
	private Long inAppUv;
	/**应用下载-详情页到站uv*/
	private Long inAppDetailUv;
	/**应用下载-加入购物车*/
	private Long inAppCart;
	/**应用下载-提交订单*/
	private Long inAppOrder;
	/**应用下载-付费*/
	private Long inAppPay;
	/**落地页-电话拨打数*/
	private Long phone;
	/**表单提交数*/
	private Long form;
	/**落地页-地图搜索*/
	private Long mapSearch;
	/**落地页-按钮button*/
	private Long button;
	/**落地页-关键页面浏览*/
	private Long viewMaterial;
	/**落地页-QQ咨询数*/
	private Long qq;
	/**落地页-抽奖数*/
	private Long lottery;
	/**落地页-投票*/
	private Long vote;
	/**落地页-页面跳转*/
	private Long redirect;
	/**落地页-商品购买*/
	private Long shopping;
	/**落地页-在线咨询*/
	private Long consult;
	/**落地页-微信*/
	private Long wechat;
	/**落地页-智能电话确认拨打*/
	private Long phoneConfirm;
	/**落地页-智能电话确认接通*/
	private Long phoneConnect;
	/**落地页-智能电话有效咨询*/
	private Long consultEffective;
	/**视频-总播放*/
	private Long totalPlay;
	/**视频-有效播放*/
	private Long validPlay;
	/**视频-wifi播放*/
	private Long wifiPlay;
	/**视频-播放25%进度率*/
	private BigDecimal play25FeedBreakRate;
	/**视频-播放25%进度总数*/
	private Long play25FeedBreak;
	/**视频-播放50%进度总数*/
	private Long play50FeedBreak;
	/**视频-播放75%进度总数*/
	private Long play75FeedBreak;
	/**视频-播放100%进度总数*/
	private Long play100FeedBreak;
	/**附加创意-电话按钮*/
	private Long advancedCreativePhoneClick;
	/**附加创意-在线咨询*/
	private Long advancedCreativeCounselClick;
	/**附加创意-表单提交*/
	private Long advancedCreativeFormClick;
	/**互动数据-分享数*/
	private Long shareMaterial;
	/**互动数据-评论数*/
	private Long commentMaterial;
	/**互动数据-新增关注数*/
	private Long follow;
	/**互动数据-主页访问量*/
	private Long homeVisited;
	/**互动数据-挑战赛查看数*/
	private Long iesChallengeClick;
	/**互动数据-音乐查看数*/
	private Long iesMusicClick;
	/**次留数*/
	private Long nextDayOpen;
	/**次留率*/
	private BigDecimal nextDayOpenRate;
	/**次留成本*/
	private BigDecimal nextDayOpenCost;
	/**activePayAmount*/
	private Long activePayAmount;
	/**视频数据-有效播放成本*/
	private BigDecimal validPlayCost;
	/**附加创意-附加创意卡券领取*/
	private Long advancedCreativeCouponAddition;
	/**convertMaterial*/
	private Long convertMaterial;
	/**应用下载广告数据-付费成本*/
	private BigDecimal activePayCost;
	/**落地页转化数据-下载开始*/
	private Long download;
	/**cpc*/
	private BigDecimal cpc;
	/**互动数据-POI点击数*/
	private Long locationClick;
	/**	视频数据-播完率*/
	private BigDecimal playOverRate;
	/**展现数据-点击率*/
	private BigDecimal ctr;
	/**cpm*/
	private BigDecimal cpm;
	/**视频数据-WiFi播放占比*/
	private BigDecimal wifiPlayRate;
	/**互动数据-点赞数*/
	private Long likeMaterial;
	/**应用下载广告数据-激活成本*/
	private BigDecimal activeCost;
	/**应用下载广告数据-关键行为成本*/
	private BigDecimal gameAddictionCost;
	/**应用下载广告数据-关键行为数*/
	private Long gameAddiction;
	/**应用下载广告数据-激活率*/
	private BigDecimal activeRate;
	/**	应用下载广告数据-关键行为率*/
	private BigDecimal gameAddictionRate;
	/**应用下载广告数据-注册率*/
	private BigDecimal activeRegisterRate;
	/**应用下载广告数据-安卓下载完成成本*/
	private BigDecimal downloadFinishCost;
	/**应用下载广告数据-注册成本*/
	private BigDecimal activeRegisterCost;
	/**展示数*/
	private Long materialShow;
	/**转化数据-转化率*/
	private BigDecimal convertRate;
	/**应用下载广告数据-安卓下载完成率*/
	private BigDecimal downloadFinishRate;
	/**应用下载广告数据-安卓安装完成率*/
	private BigDecimal installFinishRate;
	/**	落地页转化数据-建站卡券领取*/
	private Long coupon;
	/**落地页转化数据-卡券页领取*/
	private Long couponSinglePage;
	/**playOver*/
	private Long playOver;
	/**应用下载广告数据-安卓下载开始成本*/
	private BigDecimal downloadStartCost;
	/**落地页转化数据-短信咨询*/
	private Long message;
	/**视频数据-有效播放率*/
	private BigDecimal validPlayRate;
	/**视频数据-平均单次播放时长*/
	private BigDecimal averagePlayTimePerPlay;
	/**转化数据-转化成本*/
	private BigDecimal convertCost;
	/**应用下载广告数据-安卓安装完成成本*/
	private BigDecimal installFinishCost;
	/**应用下载广告数据-安卓下载开始率*/
	private BigDecimal downloadStartRate;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
}
