package cn.com.ctop.toutiao.modules.material.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.toutiao.modules.material.entity.ByteDanceCampaign;
import cn.com.ctop.toutiao.modules.material.vo.BytedanceCampaignEditVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * @Description: 今日头条广告组信息
 * @Author: jeecg-boot
 * @Date: 2019-07-22
 * @Version: V1.0
 */
public interface IByteDanceCampaignService extends IService<ByteDanceCampaign> {
    Map<String,Object> createCampaign(Long accountId, String campaignName, String operation, String budgetMode, String budget, String landingType, String uniqueFk);
    Map<String,Object>updateCampaign(CtopOauthToken token, Long campaignId, String campaignName, String modifyTime,Integer budget);
    Map<String, Object> updateCampaignStatus(Long accountId, String campaignIds, String optStatus);
    Map<String, Object> getAdvertiserCampaign(CtopOauthToken token, String ids, String date);
    Map<String, Object> updateCampaign(BytedanceCampaignEditVo editVo);
}
