package cn.com.ctop.toutiao.modules.report.mapper;

import cn.com.ctop.toutiao.modules.report.entity.BytedanceCreativeHourlyReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 广告创意日报表信息
 * @Author: jeecg-boot
 * @Date: 2019-09-11
 * @Version: V1.0
 */
public interface BytedanceCreativeHourlyReportMapper extends BaseMapper<BytedanceCreativeHourlyReport> {

    void replaceBatch(@Param(value = "reports") List<BytedanceCreativeHourlyReport> reports);

    String getVideoIdByCreativeId(@Param("creativeId") Long creativeId);

    String selectSignatureByVideoId(@Param("videoId") String videoId);
}
