package cn.com.ctop.toutiao.modules.tool.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.alibaba.fastjson.JSONObject;

import java.util.Map;

public interface IByteDanceInterestActionService {

    //行为类目查询  https://ad.oceanengine.com/open_api/2/tools/interest_action/action/category/
    Map<String,Object> queryInterestActionCategory(CtopOauthToken token, JSONObject requestBody);

    //行为关键词查询  https://ad.oceanengine.com/open_api/2/tools/interest_action/action/keyword/
    Map<String,Object> queryInterestActionKeyword(CtopOauthToken token,JSONObject requestBody);

    //兴趣类目查询  https://ad.oceanengine.com/open_api/2/tools/interest_action/interest/category/
    Map<String,Object> queryInterestActionInterestCategory(CtopOauthToken token, JSONObject requestBody);

    //兴趣关键词查询  https://ad.oceanengine.com/open_api/2/tools/interest_action/interest/keyword/
    Map<String,Object> queryInterestActionInterestKeyword(CtopOauthToken token, JSONObject requestBody);

    //兴趣行为类目关键词id转词  https://ad.oceanengine.com/open_api/2/tools/interest_action/id2word/
    Map<String,Object> queryInterestActionId2Word(CtopOauthToken token, JSONObject requestBody);

    //获取行为兴趣推荐关键词 https://ad.oceanengine.com/open_api/2/tools/interest_action/keyword/suggest/
    Map<String,Object> queryInterestActionKeywordSuggest(CtopOauthToken token, JSONObject requestBody);
}
