package org.jeecg.modules.orderplatform.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 下单制操作记录
 */
@Data
@TableName("ctop_platform_operate_record")
public class PlatformOperateRecord {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Integer id;
	/**订单标识*/
	private String orderCode;
	/**素材标识*/
	private String materialCode;
	/**操作人*/
	private String userId;
	/**操作*/
	private String operate;
	/**执行时间*/
	private Date createTime;
}
