package org.jeecg.modules.orderplatform.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;


/**
 * 下单平台关联脚本
 */
@Data
@TableName("ctop_platform_script")
public class PlatformScript {
    
	/**id*/
	@TableId(type = IdType.UUID)
	private String id;
	/**name*/
	private String name;
	/**version*/
	private Integer version;
	/**size*/
	private Integer size;
	/**creator*/
	private String creator;
	/**createTime*/
	private Long createTime;
	/**modifier*/
	private String modifier;
	/**modifyTime*/
	private Long modifyTime;
	/**downloadUrl*/
	private Object downloadUrl;
	/**projectId*/
	private Long projectId;
	/**deleted*/
	private String deleted;
	/**canDelete*/
	private String canDelete;

	public PlatformScript(){super();}

	public PlatformScript(String name, int version, int size, String creator,
				   String modifier, Long createTime, Long modifyTime, String downloadUrl ,Long projectId) {
		this.name = name;
		this.version = version;
		this.size = size;
		this.creator = creator;
		this.modifier = modifier;
		this.createTime = createTime;
		this.modifyTime = modifyTime;
		this.downloadUrl = downloadUrl;
		this.projectId=projectId;
		this.deleted = "N";
		this.canDelete = "Y";
	}
}
