package org.jeecg.modules.performance.mapper;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.performance.entity.DesignDetail;

import java.util.List;

public interface DesignDetailMapper extends BaseMapper<DesignDetail> {

    List<JSONObject> queryMaterialDetailByDate(@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("mediaType") int mediaType);

    List<JSONObject> queryDesignDetailBy(@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("userId") String userId,@Param("mediaType") int mediaType);

}
