package org.jeecg.modules.performance.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.github.pagehelper.PageInfo;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.performance.entity.SalePerformanceDetail;

import java.util.List;

/**
 * 销售绩效详细信息
 *
 * @author: jeecg-boot
 * @date: 2020-04-01
 * @cersion: V1.0
 */
public interface SalePerformanceDetailMapper extends BaseMapper<SalePerformanceDetail> {

    List<JSONObject> querySaleGroupAdByUser(@Param("year") int year, @Param("quarter") int quarter, @Param("userId") String userId, @Param("mediaType") int mediaType);

}
