package org.jeecg.modules.third.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.jeecg.modules.third.entity.ThirdConfigAdvertiser;

import java.util.List;

/**
 * 对外配置关联广告主
 *
 * @author: jeecg-boot
 * @date: 2020-08-14
 * @cersion: V1.0
 */
public interface ThirdConfigAdvertiserMapper extends BaseMapper<ThirdConfigAdvertiser> {

    List<JSONObject> getAdvertiserCost(@Param("appId") Long appId, @Param("advertiserName") String advertiserName, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<String> getAdvertiserListByAppId(@Param("appId") Long appId);
}
