package org.jeecg.modules.third.server;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.third.entity.ThirdConfigAdvertiser;

import java.util.List;

/**
 * @Description: 对外配置关联广告主
 * @Author: jeecg-boot
 * @Date: 2020-08-14
 * @Version: V1.0
 */
public interface IThirdConfigAdvertiserService extends IService<ThirdConfigAdvertiser> {

    List<String> getAdvertiserListByAppId(Long appId);

    List<JSONObject> getAdvertiserCost(Long appId, String advertiserName, String startDate, String endDate);
}
