package org.jeecg.modules.wps.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.wps.entity.WpsFileVersion;

import java.util.List;

/**
 * wps文件版本号
 * @author jeecg-boot
 * @date   2020-06-01
 * @version V1.0
 */
public interface IWpsFileVersionService extends IService<WpsFileVersion> {

    WpsFileVersion findByFileIdAndVersion(String fileId, Integer version);

    List<WpsFileVersion> findByFileIdOrderByVersionDesc(String id);
}
