package cn.com.ctop.alarm.modules.service;

import cn.com.ctop.alarm.modules.entity.RuleAccountTemplate;
import cn.com.ctop.alarm.modules.entity.vo.TemplateAppliedVo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 规则模板
 * @Author: jeecg-boot
 * @Date: 2020-11-15
 * @Version: V1.0
 */
public interface IRuleAccountTemplateService extends IService<RuleAccountTemplate> {

    // 推送模板到账户下
    JSONObject pushTemplateToAccount(Long accountId, Long templateId) throws Exception;

    // 查询 名下账户 应用的模板
    List<TemplateAppliedVo> getTemplateApplied(Map<String, Object> requestMap);
}
