package cn.com.ctop.common.module.entity;

import lombok.Data;
import org.apache.http.client.CookieStore;
import org.apache.http.impl.client.CloseableHttpClient;

import java.io.Serializable;
import java.util.Map;

@Data
public class HttpClientEntity implements Serializable {
    private String url;
    private CloseableHttpClient closeableHttpClient;
    private CookieStore cookieStore;
    private Map<String, String> headers;
    private Map<String, Object> params;
    private String result;
}
