package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 素材归属标
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-11-23
 */
@Data
@TableName("ctop_material_ascription")
public class MaterialAscription {

    @TableId(type = IdType.UUID)
    private String id;
    /**
     * 素材库id
     */
    private String materialId;
    /**
     * 剪辑人id
     */
    private String clipId;
    private String clipName;
    /**
     * 拍摄人id
     */
    private String shotId;
    private String shotName;
    /**
     * 策划id
     */
    private String planId;
    private String planName;
    /**
     * 平面id
     */
    private String planeId;
    private String code;
    private Date createTime;
    private Date updateTime;
}
