package cn.com.ctop.common.module.entity;

import java.math.BigDecimal;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;

/**
 * 快手预警数据账户维度
 */
@Data
@TableName("ctop_rule_data_account_kuaishou")
public class RuleDataAccountKuaishou {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**账户id*/
	private Long accountId;
	/**accountName*/
	private String accountName;
	/**消耗*/
	private BigDecimal cost;
	/**validBalance*/
	private BigDecimal validBalance;
	/**转化数*/
	private Long convertNum;
	/**转化成本*/
	private BigDecimal convertCost;
	/**次留数*/
	private Long nextDayOpenNum;
	/**nextDayOpenCost*/
	private BigDecimal nextDayOpenCost;
	/**次留率*/
	private BigDecimal nextDayOpenRate;
	/**status*/
	private Integer status;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
}
