package cn.com.ctop.common.module.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 规则创意清洗数据
 * @author jeecg-boot
 * @date   2020-11-16
 * @version V1.0
 */
@Data
@TableName("ctop_rule_data_creative")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_rule_data_creative对象", description="规则创意清洗数据")
public class RuleDataCreative {

	@TableId
	private Long id;
	private Long accountId;
	private String accountName;
	private Long planId;
	private String planName;
	private Long creativeId;
	private Integer presentedVideo;
	private String creativeTitle;
	private String source;
	private Integer status;
	private Date createTime;
	private Date updateTime;

	public RuleDataCreative() {
	}
}
