package cn.com.ctop.common.module.mapper;

import cn.com.ctop.common.module.entity.MaterialCutFrame;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 截屏
 *
 * @author: jeecg-boot
 * @date: 2019-12-25
 * @cersion: V1.0
 */
public interface MaterialCutFrameMapper extends BaseMapper<MaterialCutFrame> {

    List<MaterialCutFrame> getListByVideoSignature(@Param(value = "videoSignature") String signature);

    List<JSONObject> getProgramCreativeCover(@Param("signature") String signature);

    JSONObject getCutFrameByVideoMd5(@Param("photoId") String photoId,@Param("imageToken") String imageToken);
}
