package cn.com.ctop.common.module.material.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 视频素材封面信息
 */
@Data
@TableName("ctop_material_video_cover")
public class MaterialVideoCover {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Integer id;
	/**视频md5*/
	private String videoMd5;
	/**封面名称*/
	private String name;
	/**封面唯一标识*/
	private String md5;
	/**封面url地址*/
	private String url;
	/**封面描述*/
	private String description;
	/**格式*/
	private String format;
	/**大小（kb）*/
	private Integer size;
	/**高*/
	private Integer height;
	/**宽*/
	private Integer width;
	/**createTime*/
	private Date createTime;
}
