package cn.com.ctop.common.module.material.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 视频素材基础信息
 */
@Data
@TableName("ctop_material_video_info")
public class MaterialVideoInfo {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Integer id;
	/**视频名称*/
	private String name;
	/**视频md5*/
	private String md5;
	/**视频url*/
	private String url;
	/**封面url*/
	private String coverUrl;
	/**素材类型*/
	private Integer materialType;
	/**代理商信息*/
	private String supplierCode;
	/**视频描述*/
	private String description;
	/**格式*/
	private String format;
	/**时长（秒）*/
	private Integer duration;
	/**大小（kb）*/
	private Integer size;
	/**高*/
	private Integer height;
	/**宽*/
	private Integer width;
	/**createTime*/
	private Date createTime;
}
