package cn.com.ctop.common.module.material.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 视频素材水印信息
 */
@Data
@TableName("ctop_material_video_watermark")
public class MaterialVideoWatermark {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Integer id;
	/**视频md5*/
	private String videoMd5;
	/**水印视频名称*/
	private String name;
	/**水印视频唯一标识*/
	private String md5;
	/**水印视频url*/
	private String url;
	/**水印创建人*/
	private String createBy;
	/**createTime*/
	private Date createTime;
}
