package cn.com.ctop.common.module.material.service.impl;

import cn.com.ctop.common.module.material.entity.MaterialVideoCover;
import cn.com.ctop.common.module.material.mapper.MaterialVideoCoverMapper;
import cn.com.ctop.common.module.material.service.IMaterialVideoCoverService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 视频素材封面信息
 */
@Service
public class MaterialVideoCoverServiceImpl extends ServiceImpl<MaterialVideoCoverMapper, MaterialVideoCover> implements IMaterialVideoCoverService {

    @Autowired
    MaterialVideoCoverMapper materialVideoCoverMapper;

    @Override
    public void deleteByVideoMd5(String videoMd5) {
        materialVideoCoverMapper.deleteByVideoMd5(videoMd5);
    }
}
