package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.MailLog;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 邮箱记录表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-08
 */
public interface IMailLogService extends IService<MailLog> {

    /**
     * 发送转户申请信息
     *
     * @param responsibleId
     * @param accountId
     * @param projectName
     * @param transferor
     * @param assignee
     */
    void sendWeChat(String responsibleId, Long accountId, String projectName, String transferor, String assignee);

    void sendWeChatByStatus(String projectName, Integer status, String transferor, Long accountId);
}
