package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.OauthConfig;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * @Description: 授权配置信息
 * @Author: jeecg-boot
 * @Date: 2021-01-26
 * @Version: V1.0
 */
public interface IOauthConfigService extends IService<OauthConfig> {

    OauthConfig getConfigByAppId(Long appId);

    Map<Long, String> getConfigMapByMediaId(int mediaId);
}
