package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.Product;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * @Description: 产品表
 * @Author: jeecg-boot
 * @Date: 2020-09-08
 * @Version: V1.0
 */
public interface IProductService extends IService<Product> {

    String getUserNameByUserId(String userId);

    List<JSONObject> getProductByMap(Map<Long, Long> productIdMap);
}
