package cn.com.ctop.common.module.service.impl;

import cn.com.ctop.common.module.entity.CtopCorpWexinUser;
import cn.com.ctop.common.module.mapper.CtopCorpWexinUserMapper;
import cn.com.ctop.common.module.service.ICtopCorpWexinUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 * 企业微信用户表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-08
 */
@Service
@Primary
public class CtopCorpWexinUserServiceImpl extends ServiceImpl<CtopCorpWexinUserMapper, CtopCorpWexinUser> implements ICtopCorpWexinUserService {

    @Autowired
    CtopCorpWexinUserMapper ctopCorpWexinUserMapper;

    @Override
    public String getEmailByUserId(String userId) {
        return ctopCorpWexinUserMapper.queryEmailByUserId(userId);
    }
}
