package cn.com.ctop.common.module.service.impl;

import cn.com.ctop.common.module.entity.SysDepartRole;
import cn.com.ctop.common.module.mapper.SysDepartRoleMapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import cn.com.ctop.common.module.service.ISysDepartRoleService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Description: 部门角色
 * @Author: jeecg-boot
 * @Date:   2020-02-12
 * @Version: V1.0
 */
@Service
public class SysDepartRoleServiceImpl extends ServiceImpl<SysDepartRoleMapper, SysDepartRole> implements ISysDepartRoleService {

    @Override
    public List<SysDepartRole> queryDeptRoleByDeptAndUser(String orgCode, String userId) {
        return this.baseMapper.queryDeptRoleByDeptAndUser(orgCode,userId);
    }
}
