package cn.com.ctop.common.module.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * @author 宋英豪
 */
@Data
public class StatisticCampaignVo implements Serializable {
    /**
     * 日期
     */
    private String statisticDate;
    /**
     * 代理
     */
    private String proxy;
    /**
     * 投放系统
     */
    private String deliverySystem;
    /**
     * 渠道名称
     */
    private String channelName;
    /**
     * 广告组名称
     */
    private String content;
    /**
     * 投放素材
     */
    private String meterial;
    /**
     * 出价方式
     */
    private String priceType;
    /**
     * 定向条件
     */
    private String directCondition;
    /**
     * 基础定向
     */
    private String basicDirect;
    /**
     * 花费
     */
    private String cost;
    /**
     * 封面曝光数
     */
    private String coverViews;
    /**
     * 封面点击数
     */
    private String coverClick;
    /**
     * 素材曝光数
     */
    private String materialViews;
    /**
     * 行为数
     */
    private String actions;
    /**
     * 点击率
     */
    private String clickRate;
    /**
     * 行为点击率
     */
    private String actionClickRate;
    /**
     * ACTR*BCTR
     */
    private String abctr;
    /**
     * 点击成本
     */
    private String clickPrice;
    /**
     * 行为成本
     */
    private String actionPrice;
    /**
     * 注册用户
     */
    private String registUserNum;
    /**
     * 完件用户
     */
    private String complateUserNum;
    /**
     * 授信用户
     */
    private String creditUserNum;
    /**
     * 当日注册且完件数
     */
    private String registCompleteNum;
    /**
     * 当日注册且授信数
     */
    private String registCreditNum;
    /**
     * 注册成本
     */
    private String registPrice;
    /**
     * 完件成本
     */
    private String completePrice;
    /**
     * 授信成本
     */
    private String creditPrice;
    /**
     * 当日注册且完件成本
     */
    private String registCompletePrice;
    /**
     * 当日注册且授信成本
     */
    private String registCreditPrice;
    /**
     * 点击注册率
     */
    private String clickRegistRate;
    /**
     * 行为注册率
     */
    private String actionRegistRate;
    /**
     * 完件率
     */
    private String completeRate;
    /**
     * 授信率
     */
    private String creditRate;
    /**
     * 当日完件率
     */
    private String registCompleteRate;
    /**
     * 当日授信率
     */
    private String registCreditRate;
    /**
     * 当日完件百分比
     */
    private String completeRateDay;
    /**
     * 当日授信百分比
     */
    private String creditRateDay;
    /**
     * 当日授信注册百分比
     */
    private String creditRegistRateDay;

    @Override
    public String toString() {
        return "StatisticCampaignVo{" +
                "statisticDate='" + statisticDate + '\'' +
                ", proxy='" + proxy + '\'' +
                ", deliverySystem='" + deliverySystem + '\'' +
                ", channelName='" + channelName + '\'' +
                ", content='" + content + '\'' +
                ", meterial='" + meterial + '\'' +
                ", priceType='" + priceType + '\'' +
                ", directCondition='" + directCondition + '\'' +
                ", basicDirect='" + basicDirect + '\'' +
                ", cost='" + cost + '\'' +
                ", coverViews='" + coverViews + '\'' +
                ", coverClick='" + coverClick + '\'' +
                ", materialViews='" + materialViews + '\'' +
                ", actions='" + actions + '\'' +
                ", clickRate='" + clickRate + '\'' +
                ", actionClickRate='" + actionClickRate + '\'' +
                ", abctr='" + abctr + '\'' +
                ", clickPrice='" + clickPrice + '\'' +
                ", actionPrice='" + actionPrice + '\'' +
                ", registUserNum='" + registUserNum + '\'' +
                ", complateUserNum='" + complateUserNum + '\'' +
                ", creditUserNum='" + creditUserNum + '\'' +
                ", registCompleteNum='" + registCompleteNum + '\'' +
                ", registCreditNum='" + registCreditNum + '\'' +
                ", registPrice='" + registPrice + '\'' +
                ", completePrice='" + completePrice + '\'' +
                ", creditPrice='" + creditPrice + '\'' +
                ", registCompletePrice='" + registCompletePrice + '\'' +
                ", registCreditPrice='" + registCreditPrice + '\'' +
                ", clickRegistRate='" + clickRegistRate + '\'' +
                ", actionRegistRate='" + actionRegistRate + '\'' +
                ", completeRate='" + completeRate + '\'' +
                ", creditRate='" + creditRate + '\'' +
                ", registCompleteRate='" + registCompleteRate + '\'' +
                ", registCreditRate='" + registCreditRate + '\'' +
                ", completeRateDay='" + completeRateDay + '\'' +
                ", creditRateDay='" + creditRateDay + '\'' +
                ", creditRegistRateDay='" + creditRegistRateDay + '\'' +
                '}';
    }
}
