package cn.com.ctop.crawler.modules.kuaishoucce.service.impl;

import cn.com.ctop.crawler.modules.kuaishoucce.entity.KuaishouHotPhotoInfo;
import cn.com.ctop.crawler.modules.kuaishoucce.mapper.KuaishouHotPhotoInfoMapper;
import cn.com.ctop.crawler.modules.kuaishoucce.service.IKuaishouHotPhotoInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 快手热门作品信息
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-03-03
 */
@Service
@Primary

public class KuaishouHotPhotoInfoServiceImpl extends ServiceImpl<KuaishouHotPhotoInfoMapper, KuaishouHotPhotoInfo> implements IKuaishouHotPhotoInfoService {
    @Autowired
    private KuaishouHotPhotoInfoMapper photoInfoMapper;

    @Override
    public void replaceBatch(List<KuaishouHotPhotoInfo> photoInfos) {
        photoInfoMapper.replaceBatch(photoInfos);
    }
}
