package cn.com.ctop.crawler.modules.oceanengine.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("ctop_oceanengine_douyin_hot")
public class DouyinHot {
    @TableId(value = "id", type = IdType.INPUT)
    private String id;
    private String mid;
    @JsonProperty("video_id")
    private String videoId;
    @JsonProperty("core_user_id")
    private Long userId;
    @JsonProperty("core_user_name")
    private String userName;
    private String coverUrl;
    private String title;
    @JsonProperty("head_image_uri")
    private String headImageUri;
    private Integer play;
    @JsonProperty("like_cnt")
    private Integer likeCnt;
    private Integer share;
    private Integer comment;
    private String url;
    private Date createTime;
    private Date updateTime;
}
