package cn.com.ctop.crawler.modules.pangolin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 对账单
 */
@Data
@TableName("ctop_pangolin_report_bill_month")
public class PangolinReportBillMonth {
    /**
     * 年
     */
    private Integer year;
    /**
     * 月
     */
    private Integer month;
    private String date;
    /**
     * appId
     */
    private Long appId;
    /**
     * 操作系统
     */
    private String os;
    /**
     * 有效激活数
     */
    private Integer sumInternalActivations;
    /**
     * 实际结算金额
     */
    private BigDecimal actualTotalPrice;
    /**
     * 预估结算金额
     */
    private BigDecimal estimatedTotalPrice;
    /**
     * 账户质量分
     */
    private BigDecimal accountQualityScore;

    private String accountName;
}
