package cn.com.ctop.crawler.modules.pangolin.mapper;

import cn.com.ctop.crawler.modules.pangolin.entity.PangolinReportChannelDaily;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PangolinReportChannelDailyMapper extends BaseMapper<PangolinReportChannelDaily> {
    Integer sumAppList(@Param(value = "appId") Integer appId,
                       @Param(value = "startDate") String startDate,
                       @Param(value = "endDate") String endDate,
                       @Param(value = "userId") String userId,
                       @Param(value = "type") String type,
                       @Param(value = "projectIds") List<Long>projectIds,
                       @Param(value = "accountNames")List<String> accountNames);

    List<PangolinReportChannelDaily> getActivationList(@Param(value = "appId") Integer appId,
                                                       @Param(value = "startDate") String startDate,
                                                       @Param(value = "endDate") String endDate,
                                                       @Param(value = "userId") String userId,
                                                       @Param(value = "type") String type,
                                                       @Param(value = "projectIds") List<Long>projectIds,
                                                       @Param(value = "accountNames")List<String> accountNames);
}
