package cn.com.ctop.manage.modules.actor.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author jeecg-boot
 * 2019年12月5日19:55:14
 */
@Data
@TableName("ctop_actor_comment")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class ActorComment {
    @TableId(type = IdType.AUTO)
    private Long id;
    private Long actorId;
    private String comment;
    private String createBy;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}
