package cn.com.ctop.manage.modules.actor.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

@Data
@TableName("ctop_prop")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Prop {
    @TableId(type = IdType.AUTO)
    private Long id;
    private String name;
    @TableField(value = "`desc`")
    private String desc;
    private String type;
    private String coverUrl;
    private Integer status;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
    @TableField(exist = false)
    private List<String> imageList;
}
