package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.report.service.IKuaiShouDailyAgentService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.jeecg.common.util.DateUtils;
import org.quartz.JobExecutionException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class KuaiShouTodayAgentReportJob {
    @Autowired
    private IKuaiShouDailyAgentService kuaiShouDailyAgentService;

    /**
     * 快手今日日代理商报表
     *
     * @throws JobExecutionException
     */
    @XxlJob("kuaiShouTodayAgentReportJob")
    public void execute() throws Exception {
        String nowDate = DateUtils.getNowDate("yyyy-MM-dd");
        kuaiShouDailyAgentService.getAgentReportByPage(nowDate, nowDate);
    }
}

