package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.batch.service.IKuaiShouActionBarTextService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class KuaishouActionBarTextJob {
    @Autowired
    private IKuaiShouActionBarTextService actionBarTextService;

    @XxlJob("kuaishouActionBarTextJob")
    public void execute() {
        actionBarTextService.getActionBarText();
        XxlJobHelper.log("快手行动号召按钮同步完成");
    }
}
