package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.report.service.IKuaishouVideoEtlInfoService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.jeecg.common.util.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.ParseException;
import java.util.Date;

@Component
public class KuaishouEffectVideoJob {
    @Autowired
    private IKuaishouVideoEtlInfoService etlInfoService;

    @XxlJob("kuaishouEffectVideoJob")
    public void execute() throws ParseException {
        Date getDate = DateUtils.addDay(new Date(),-1);
        etlInfoService.etlKuaishouVideoInfo(getDate);
    }
}
