package cn.com.ctop.job.kuaishou.handler;

import cn.com.ctop.kuaishou.modules.batch.service.IKuaiShouHistoryReportTaskService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 获取文件状态并下载入库
 *
 * @author yumeng
 */
@Component
public class KuaishouHistoryLoadFileJob {
    @Autowired
    private IKuaiShouHistoryReportTaskService historyReportTaskService;

    @XxlJob("kuaishouHistoryLoadFile")
    public void execute() throws Exception {
        historyReportTaskService.getTaskList();
    }
}
