package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 策略_策略模板中间表
 */
@Data
@TableName("ctop_ai_kuaishou_strategy_middle")
public class AiKuaishouStrategyMiddle {

	/**middle_id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**策略id*/
	private Long strategyId;
	/**策略模板id*/
	private Long strategyTemplateId;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;

	public AiKuaishouStrategyMiddle(Long templateId, Long strategyId) {
		this.strategyTemplateId = templateId;
		this.strategyId = strategyId;
		this.createTime = new Date();
		this.updateTime = new Date();
	}

	public AiKuaishouStrategyMiddle() {
	}
}
