package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 定向基础表
 */
@Data
@TableName("ctop_ai_kuaishou_strategy_target_base")
public class AiKuaishouStrategyTargetBase {

	/**target_base_id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**定向类型:age|devices|用户行为|行业偏好等*/
	private String targetType;
	/**定向内容: 24-30|31-40|41-49 等*/
	private String targetContent;
	/**状态1可用 0不可用*/
	private Integer status;
	/**
	 * 数据类型
	 */
	private String type;
	/**createTime*/
    @ApiModelProperty(value = "createTime")
	private Date createTime;
	/**updateTime*/
    @ApiModelProperty(value = "updateTime")
	private Date updateTime;
}
