package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * 智能投放快手定向策略详细信息
 */
@Data
@TableName("ctop_ai_kuaishou_strategy_target_details")
public class AiKuaishouStrategyTargetDetails {

	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**策略id*/
	private Long strategyId;
	/**定向id*/
	private Long targetId;
	/**测试方向: age 、 devices、  用户行为 、 行业偏好 、付费人群包 等*/
	private String type;
	/**status*/
	private Integer status;
	private Date createTime;
	private Date updateTime;
}
