package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaiShouVideoLastTime;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: ai获取素材上次截止日期
 * @Author: jeecg-boot
 * @Date: 2021-01-11
 * @Version: V1.0
 */
public interface IKuaiShouVideoLastTimeService extends IService<KuaiShouVideoLastTime> {

    List<String> getImageListByMd5(String signature);

    List<JSONObject> getImageListByMd5List(List<String> videoCodeList);
}
