package cn.com.ctop.kuaishou.modules.ai.service;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouAccountCreativeOverrunInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @Description: 快手账户创意创建超限记录信息
 * @Author: jeecg-boot
 * @Date:   2021-01-30
 * @Version: V1.0
 */
public interface IKuaishouAccountCreativeOverrunInfoService extends IService<KuaishouAccountCreativeOverrunInfo> {

    void stopCreativeBySignature(Long accountId,String signature);


    void updateOverrunInfo(Long advertiserId);

    KuaishouAccountCreativeOverrunInfo getByParams(Long accountId, String date);
}
