package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouVideoRelateCreatives;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 频库-视频关联创意数查询
 *
 * @author: jeecg-boot
 * @date: 2021-01-12
 * @cersion: V1.0
 */
public interface KuaishouVideoRelateCreativesMapper extends BaseMapper<KuaishouVideoRelateCreatives> {

    void insertBatch(@Param(value = "videolist") List<KuaishouVideoRelateCreatives> videolist);

    List<JSONObject> getVideoListByMap(Map<String, Object> requestMap);

    List<JSONObject> getVideoZeroListByMap(Map<String, Object> requestMap);

    List<JSONObject> getHistoryTopVideoList(Map<String, Object> requestMap);
}
