package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaishouBatchGroupPreview;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

/**
 * @Description: 快手-广告组预览信息
 * @Author: jeecg-boot
 * @Date: 2021-01-26
 * @Version: V1.0
 */
public interface IKuaishouBatchGroupPreviewService extends IService<KuaishouBatchGroupPreview> {

    /**
     * 批量修改
     *
     * @param
     * @return org.jeecg.common.api.vo.Result<java.lang.Object>
     * @throws
     * @author ZHAOXA
     */
    Result<Object> batchEdit(JSONObject data);
}
