package cn.com.ctop.kuaishou.modules.batch.service.impl;

import cn.com.ctop.kuaishou.modules.batch.entity.kuaishoustrategycampaignRel;
import cn.com.ctop.kuaishou.modules.batch.mapper.kuaishoustrategycampaignRelMapper;
import cn.com.ctop.kuaishou.modules.batch.service.IkuaishoustrategycampaignRelService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 快手-策略和计划启动/关停关系表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-12-18
 */
@Service
public class kuaishoustrategycampaignRelServiceImpl extends ServiceImpl<kuaishoustrategycampaignRelMapper, kuaishoustrategycampaignRel> implements IkuaishoustrategycampaignRelService {

    @Autowired
    private kuaishoustrategycampaignRelMapper relMapper;

    @Override
    public List<JSONObject> queryPlanIdsByStrategyId(Long id) {
        return relMapper.queryPlanIdsByStrategyId(id);
    }
}
