package cn.com.ctop.kuaishou.modules.material.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@TableName("ctop_kuaishou_token")
public class KuaishouAccessToken implements Serializable {
    private static final long serialVersionUID = 1L;
    @JsonProperty("advertiser_id")
    @TableId
    private Long accountId;
    @JsonProperty("access_token")
    private String accessToken;
    @JsonProperty("access_token_expires_in")
    private Integer accessTokenExpiresIn;
    private Date accessTokenExpiresInDate;
    @JsonProperty("refresh_token")
    private String refreshToken;
    @JsonProperty("refresh_token_expires_in")
    private Integer refreshTokenExpiresIn;
    private Date refreshTokenExpiresInDate;
}
