package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("ctop_kuaishou_report_daily_group")
public class KuaishouReportDailyGroup implements Serializable {
    private static final long serialVersionUID = 1L;
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;

    private Long accountId;

    private Long unitId;

    private Long campaignId;

    private String unitName;

    private String campaignName;

    private Integer status;

    private BigDecimal charge;

    private Long photoShow;

    private Long aclick;

    private Long bclick;

    private Long photoShare;

    private Long photoComment;

    private Long photoLike;

    private Long follow;

    private Long cancelFollow;

    private Long report;

    private Long block;

    private Long negative;

    private Long downloadStarted;

    private Long downloadCompleted;

    private Long activation;

    private Long submit;

    private String statDate;

    private Long photoClick;

    private Double photoClickRatio;

    private Double actionRatio;

    private BigDecimal impression1kCost;

    private BigDecimal photoClickCost;

    private BigDecimal actionCost;

    private Long eventPayFirstDay;

    private BigDecimal eventPayPurchaseAmountFirstDay;

    private Double eventPayFirstDayRoi;

    private Long eventPay;

    private BigDecimal eventPayPurchaseAmount;

    private Double eventPayRoi;

    private Long eventRegister;

    private BigDecimal eventRegisterCost;

    private Double eventRegisterRatio;

    private Long eventJinJianApp;

    private BigDecimal eventJinJianAppCost;

    private Long eventCreditGrantApp;

    private BigDecimal eventCreditGrantAppCost;

    private Double eventCreditGrantAppRatio;

    private Long eventOrderPaid;

    private BigDecimal eventOrderPaidPurchaseAmount;

    private Long eventJinJianLandingPage;

    private BigDecimal eventJinJianLandingPageCost;

    private Long eventCreditGrantLandingPage;

    private BigDecimal eventCreditGrantLandingPageCost;

    private Double eventCreditGrantLandingRatio;

    private BigDecimal eventNextDayStayCost;

    private Long eventNextDayStayRatio;

    private Double formActionRatio;

    private BigDecimal eventOrderPaidCost;

    private Long eventNextDayStay;

    private BigDecimal formCost;

    private Long formCount;

    private Double play3sRatio;

    private Date createTime;

    private Date updateTime;

    private String channelCode;
}
