package cn.com.ctop.kuaishou.modules.report.entity;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


@Data
public class ProjectAccountDTO implements Serializable {
    private String statDate;
    private Long projectId;
    private String projectName;
    private String responsibleName;
    private String advertiserName;  //广告主名称
    private String designResponsibleName;
    private String saleId;
    private String saleName;
    private BigDecimal charge;
    private Long photoShow;
    private Long photoClick;
    private Long aclick;
    private Long bclick;
    private Long activation;
    private Long submit;
    private Long eventRegister;
    private Long eventNextDayStay;
    private BigDecimal activationCost;
    private String photoClickRate;
    private String bclickRate;
    private BigDecimal impression1kCost;
    private BigDecimal photoClickCost;
    private BigDecimal actionCost;
    private Long photoShare;
    private Long photoComment;
    private Long photoLike;
    private Long follow;
    private Long report;
    private Long cancelFollow;
    private Long block;
    private Long nagative;
    private Long downloadStarted;
    private Long downloadCompleted;
    private BigDecimal eventNextDayStayCost;
}
