package cn.com.ctop.kuaishou.modules.report.mapper;

import java.util.List;

import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouReportAccountHourly;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;
import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouReportAccountDaily;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 盯盘日数据
 *
 * @author: jeecg-boot
 * @date: 2021-03-04
 * @cersion: V1.0
 */
public interface EtlKuaishouReportAccountDailyMapper extends BaseMapper<EtlKuaishouReportAccountDaily> {

    void replaceBatch(@Param("list") List<EtlKuaishouReportAccountDaily> list);

    EtlKuaishouReportAccountHourly getOnedayAggregatebyDaily(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("accountId") Long accountId);

    List<JSONObject> getOnedayEtlReportList(@Param("startTime") String startTime, @Param("endTime") String endTime, @Param("accountId") Long accountId, @Param("value") String value, @Param("type") String type);

    Long getMaxChargeAccountId(@Param("userId") String userId);
}
