package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.KuaiShouDailyAgent;
import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyAgent;
import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyAgentSum;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 代理商报表
 *
 * @author: jeecg-boot
 * @date: 2020-08-18
 * @cersion: V1.0
 */
public interface KuaiShouDailyAgentMapper extends BaseMapper<KuaiShouDailyAgent> {
    int insertSelective(KuaiShouDailyAgent record);

    List<KuaishouReportDailyAgentSum> companyReport(@Param("startDate") String startDate, @Param("endDate") String endDate);

    KuaishouReportDailyAgentSum companyReportSum(@Param("startDate") String startDate, @Param("endDate") String endDate);

    List<KuaishouReportDailyAgent> companyReportAccountDetailList(@Param("date") String date, @Param("advertiserName") String advertiserName, @Param("isExportNullData") Integer o);

    void replaceBatch(@Param(value = "list") List<KuaiShouDailyAgent> list);
}
