package cn.com.ctop.kuaishou.modules.report.mapper;

import cn.com.ctop.kuaishou.modules.report.entity.EtlKuaishouAudienceAccountDaily;
import cn.com.ctop.kuaishou.modules.report.entity.KuaishouAudienceReportDailyAccount;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 人群分析报表
 *
 * @author: jeecg-boot
 * @date: 2020-12-03
 * @cersion: V1.0
 */
public interface KuaishouAudienceReportDailyAccountMapper extends BaseMapper<KuaishouAudienceReportDailyAccount> {

    List<JSONObject> queryPageLists(KuaishouAudienceReportDailyAccount audienceReport);

    List<JSONObject> queryAllReportForm(KuaishouAudienceReportDailyAccount audienceReport);

    List<String> querybusinessTypeCount(KuaishouAudienceReportDailyAccount audienceReport);

    List<JSONObject> querybusinessTypeReportForm(KuaishouAudienceReportDailyAccount audienceReport);

    List<EtlKuaishouAudienceAccountDaily> queryEveryDayAudienceInfo();
}
