package cn.com.ctop.kuaishou.modules.report.mapper;

import java.util.List;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyAgent;
import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyAgentSum;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 代理商日汇总表
 * @author: jeecg-boot
 * @date:   2019-12-13
 * @cersion: V1.0
 */
public interface KuaishouReportDailyAgentSumMapper extends BaseMapper<KuaishouReportDailyAgentSum> {
    List<KuaishouReportDailyAgentSum> companyReport(@Param("startDate")String startDate, @Param("endDate")String endDate);

    KuaishouReportDailyAgentSum companyReportSum(@Param("startDate")String startDate, @Param("endDate")String endDate);

    //根据某天的时间获取公司报表明细
    List<KuaishouReportDailyAgent> companyReportAccountDetailList(@Param("date")String date, @Param("advertiserName")String advertiserName, @Param("isExportNullData")Integer isExportNullData);

    //根据时间段获取公司报表明细
    List<KuaishouReportDailyAgent> companyReportAccountDetailListByDateRange(@Param("startDate")String startDate, @Param("endDate")String endDate);
}

