package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyAgent;
import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyAgentSum;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 代理商日汇总表
 * @author jeecg-boot
 * @date   2019-12-13
 * @version V1.0
 */
public interface IKuaishouReportDailyAgentSumService extends IService<KuaishouReportDailyAgentSum> {
    List<KuaishouReportDailyAgentSum> companyReport(String startDate, String endDate);
    KuaishouReportDailyAgentSum companyReportSum(String startDate, String endDate);

    List<KuaishouReportDailyAgent> companyReportAccountDetailList(String date, String advertiserName, Integer isExportNullData);

    List<KuaishouReportDailyAgent> companyReportAccountDetailListByDateRange(String startDate, String endDate);
}
