package cn.com.ctop.oa.modules.entity;

import lombok.Data;

import java.util.Date;

/**
 * 考勤异常统计数据
 *
 * @ClassName WechatAttendance
 * @Author ZHAOXA
 * @date 2020-09-24 21:00
 */
@Data
public class WechatAttendance {
    /**
     * 员工Id
     */
    private String userId;
    /**
     * 员工名
     */
    private String userName;
    /**
     * 部门名
     */
    private String departName;
    /**
     * 审批状态 1-审批中；2-已通过；
     */
    private String status;
    /**
     * 部门编号
     */
    private String departId;
    /**
     * 签到日期
     */
    private String checkinDate;
    /**
     * 打卡类型
     */
    private String checkinType;
    /**
     * 异常打卡状态
     */
    private String exceptionType;
    /**
     * 考勤时间
     */
    private String checkinTime;
    /**
     * 异常考勤状态
     */
    private String type;
    /**
     * 状态时长
     */
    private String stateDuration;
    /**
     * 加班时长
     */
    private String overtime;

}
