package cn.com.ctop.shiwan.modules.service;

import cn.com.ctop.shiwan.modules.entity.ShiwanFileUpload;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.util.List;

/**
 * @Description: 试玩平台，文件信息
 * @Author: jeecg-boot
 * @Date: 2020-10-21
 * @Version: V1.0
 */
public interface IShiwanFileUploadService extends IService<ShiwanFileUpload> {

    /**
     * 上传或更新文件（同名同账户同操作人同类型的文件会被新文件更新覆盖）
     *
     * @param
     * @return java.lang.String
     * @throws
     * @author ZHAOXA
     */
    ShiwanFileUpload saveOrUpdateFile(MultipartFile file, String userId, Long accountId, String fileType, Long parentId, String uuid);

    /**
     * 创建新的zip文件
     *
     * @param
     * @return java.lang.String
     * @throws
     * @author ZHAOXA
     */
    Result<Object> createNewZipFile(MultipartFile file, String id, String updateName, String userId, Long accountId, String fileType, String isCreate, String newFileName) throws IOException;

    List<ShiwanFileUpload> selectListByParentId(String id);
}
