package cn.com.ctop.toutiao.modules.material.entity;

import cn.com.ctop.common.module.annotation.Dict;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 有效视频信息
 * @author jeecg-boot
 * @date   2020-07-14
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_effect_video_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BytedanceEffectVideoInfo {

	@TableId(type = IdType.AUTO)
	private Long id;
	/**视频MD5码*/
	private String code;
	private String url;
	private String initialCostDate;
	private String finalCostDate;
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String plane;
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String plan;
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String shot;
	@Dict(dicCode = "id",dictTable="sys_user",dicText="realname")
	private String clip;
	private String manager;
	private java.math.BigDecimal twoWeekCost;
	private java.math.BigDecimal totalCost;
	private Date createTime;
	private Date updateTime;
}
