package cn.com.ctop.toutiao.modules.report.DTO;

import lombok.Data;

@Data
public class ByteDanceReportAccountDailyDTO {
	private Integer mediaId;

	private String advertiserId;

	private String advertiserName;

	private String responsibleName;

	private String designResponsibleName;

	private String saleId;

	private String saleName;

	private String statDate;

	private String accountId;

	private String authName;

	private Long projectId;

	private String projectName;

	private java.math.BigDecimal cost;  //消耗

	private Long active;  //应用下载-激活

	private Long downloadFinish;  //应用下载-安卓下载完成

	private Long downloadStart;  //应用下载-安卓下载开始

	private Long installFinish;  //应用下载-安卓安装完成

	private Long register;  //应用下载-注册

	private Long payCount;  //应用下载-付费数

	private Long form;  //表单提交数

	private Long totalPlay;  //视频-总播放

	private Long validPlay;  //视频-有效播放

	private Long wifiPlay;  //视频-wifi播放

	private java.math.BigDecimal play25FeedBreakRate;  //25%进度播放率

	private Long play25FeedBreak;  //视频-播放25%进度总数

	private Long play50FeedBreak;  //视频-播放50%进度总数

	private Long play75FeedBreak;  //视频-播放75%进度总数

	private Long play100FeedBreak;  //视频-播放100%进度总数

	private Long shareMaterial;  //互动数据-分享数

	private Long follow;  //互动数据-新增关注数

	private Long nextDayOpen;  //次留数

	private java.math.BigDecimal nextDayOpenRate;  //次留率 = 次留数/激活数

	private java.math.BigDecimal nextDayOpenCost;  //次留成本 = 消耗/次留数

	private Long convertMaterial;  //转化数据-转化数

	private java.math.BigDecimal cpc;  //平均点击单价

	private java.math.BigDecimal ctr;  //展现数据-点击率   广告被点击的次数占展示次数的百分比。计算方法：点击数/展示数*100%

	private java.math.BigDecimal cpm;  //平均千次展现费用  广告平均每一千次展现所付出的费用，计算公式是：总花费/展示数*1000。

	private Long likeMaterial;  //互动数据-点赞数

	private java.math.BigDecimal activeCost;  //应用下载广告数据-激活成本  计算方式：总花费/激活数。

	private java.math.BigDecimal activeRate;  //应用下载广告数据-激活率   计算方式：激活数/点击数*100%

	private java.math.BigDecimal activeRegisterRate;  //应用下载广告数据-注册率   注册用户占激活用户的比例

	private java.math.BigDecimal activeRegisterCost;  //应用下载广告数据-注册成本  总花费/注册数，当天数据可能会有波动，次日早8点后稳定。

	private Long showMaterial;  //展现数据-展示数

	private java.math.BigDecimal convertRate;  //转化率  转化数/点击数*100%

	private java.math.BigDecimal convertCost;  //转化数据-转化成本=总花费/转化数

    private Long clickMaterial;  //点击数

	private Long clickInstall;  //应用下载-点击安装数

}
